Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.svcorch
Interface Transformation

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, Node, org.eclipse.emf.common.notify.Notifier, OpNode

All Known Subinterfaces:
  CustomTransformation, DeclarativeTransformation

    public interface Transformation

extends OpNode

A representation of the model object 'Transformation'.

The following features are supported:

- `Input`
- `Output`
- `Init Out Slot`

See Also:
  `SvcorchPackage.getTransformation()`

Method Summary
`org.eclipse.emf.common.util.EList<DataSlot>` | `getInput()` Returns the value of the 'Input' reference list.
`DataSlot` | `getOutput()` Returns the value of the 'Output' reference
`boolean` | `isInitOutSlot()` Returns the value of the 'Init Out Slot' attribute
`void` | `setInitOutSlot(boolean value)` Sets the value of the '`Init Out Slot`' attribute
`void` | `setOutput(DataSlot value)` Sets the value of the '`Output`' reference

Methods inherited from interface it.csi.mddtools.svcorch.OpNode
`getNext, setNext`

Methods inherited from interface it.csi.mddtools.svcorch.Node
`getDescription, getName, setDescription, setName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getInput

    org.eclipse.emf.common.util.EList<DataSlot> getInput()

  Returns the value of the 'Input' reference list. The list contents are of type `DataSlot`.

  If the meaning of the 'Input' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Input' reference list.
  See Also:
    `SvcorchPackage.getTransformation_Input()`

### getOutput

    DataSlot getOutput()

  Returns the value of the 'Output' reference.

  If the meaning of the 'Output' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Output' reference.
  See Also:
    `setOutput(DataSlot)`, `SvcorchPackage.getTransformation_Output()`

### setOutput

    void setOutput(DataSlot value)

  Sets the value of the '`Output`' reference.

  Parameters:
    `value` - the new value of the 'Output' reference.
  See Also:
    `getOutput()`

### isInitOutSlot

    boolean isInitOutSlot()

  Returns the value of the 'Init Out Slot' attribute.

  If the meaning of the 'Init Out Slot' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Init Out Slot' attribute.
  See Also:
    `setInitOutSlot(boolean)`, `SvcorchPackage.getTransformation_InitOutSlot()`

### setInitOutSlot

    void setInitOutSlot(boolean value)

  Sets the value of the '`Init Out Slot`' attribute.

  Parameters:
    `value` - the new value of the 'Init Out Slot' attribute.
  See Also:
    `isInitOutSlot()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD